Module tdlight.api
Package it.tdlight.jni

# Class TdApi.PassportElementErrorSource

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.PassportElementErrorSource

Direct Known Subclasses:
  `TdApi.PassportElementErrorSourceDataField`, `TdApi.PassportElementErrorSourceFile`, `TdApi.PassportElementErrorSourceFiles`, `TdApi.PassportElementErrorSourceFrontSide`, `TdApi.PassportElementErrorSourceReverseSide`, `TdApi.PassportElementErrorSourceSelfie`, `TdApi.PassportElementErrorSourceTranslationFile`, `TdApi.PassportElementErrorSourceTranslationFiles`, `TdApi.PassportElementErrorSourceUnspecified`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.PassportElementErrorSource extends TdApi.Object permits TdApi.PassportElementErrorSourceUnspecified, TdApi.PassportElementErrorSourceDataField, TdApi.PassportElementErrorSourceFrontSide, TdApi.PassportElementErrorSourceReverseSide, TdApi.PassportElementErrorSourceSelfie, TdApi.PassportElementErrorSourceTranslationFile, TdApi.PassportElementErrorSourceTranslationFiles, TdApi.PassportElementErrorSourceFile, TdApi.PassportElementErrorSourceFiles
This class is an abstract base class. Contains the description of an error in a Telegram Passport element.

## Constructor Summary

Constructors
Constructor
Description
`PassportElementErrorSource()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### PassportElementErrorSource

public PassportElementErrorSource()
Default class constructor.